"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateMermaidGraph = void 0;
function generateMermaidGraph(depsBetweenFiles, lockFileArgs) {
    const lockFiles = [];
    for (const lockFile of lockFileArgs.keys()) {
        // TODO: add extra args to the lock file ${extraArgs ? '\n' + extraArgs : ''}
        // const extraArgs = pipCompileArgs.extra
        //   ?.map((v) => '--extra=' + v)
        //   .join('\n');
        lockFiles.push(`  ${lockFile}[[${lockFile}]]`);
    }
    const edges = depsBetweenFiles.map(({ sourceFile, outputFile, type }) => {
        return `  ${sourceFile} -${type === 'constraint' ? '.' : ''}-> ${outputFile}`;
    });
    return `graph TD\n${lockFiles.join('\n')}\n${edges.join('\n')}`;
}
exports.generateMermaidGraph = generateMermaidGraph;
//# sourceMappingURL=utils.js.map